react配置装饰器

react配置装饰器

  1. npm install -D @babel/plugin-proposal-decorators

  2. 配置.babelrc 文件或package.json文件的 babel 字段值(两者二选一,不要都配置,否者会报找到两个配置文件的错

(1)配置 .babelrc 文件

"plugins": [
    ["@babel/plugin-proposal-decorators", { "legacy": true }],
  ]

(2)配置 package.json 文件的 babel 字段值

babel: {
    "plugins": [
        ["@babel/plugin-proposal-decorators", { "legacy": true }],
    ]
}
errors (99), warring (99)
posted @ 2020-04-01 11:31  残梦a  阅读(611)  评论(0编辑  收藏  举报